Last Comment Bug 383889 - Remove non-cairo GTK2 gfx code
: Remove non-cairo GTK2 gfx code
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: GFX: Gtk (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: mozilla1.9alpha6
Assigned To: Mats Palmgren (:mats)
:
:
Mentors:
Depends on:
Blocks: 376791 1123836
  Show dependency treegraph
 
Reported: 2007-06-09 18:04 PDT by Mats Palmgren (:mats)
Modified: 2015-01-21 12:36 PST (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch rev. 1 (40.38 KB, patch)
2007-06-09 18:08 PDT, Mats Palmgren (:mats)
vladimir: review+
vladimir: superreview+
Details | Diff | Splinter Review

Description Mats Palmgren (:mats) 2007-06-09 18:04:35 PDT
 
Comment 1 Mats Palmgren (:mats) 2007-06-09 18:08:29 PDT
Created attachment 267833 [details] [diff] [review]
Patch rev. 1

In addition to the changes in the patch all the files in the following
directories will be cvs removed:

gfx/src/gtk/
gfx/src/x11shared/
Comment 2 Eli Friedman 2007-06-11 19:37:45 PDT
You should #if 0 out paint flashing; we shouldn't just forget about it.
Comment 3 Vladimir Vukicevic [:vlad] [:vladv] 2007-06-12 11:09:30 PDT
Comment on attachment 267833 [details] [diff] [review]
Patch rev. 1

r+ with eli's comment addressed; let's leave paint flashing in if0'd out as a reminder.  It should be possible to fix (worst case -- flash post-double-buffering by reading from the window to save the current contents, overlay the flash, then put back the previous contents)
Comment 4 Mats Palmgren (:mats) 2007-06-15 20:00:28 PDT
#if 0 out the paint flashing code as suggested.

Checked in to trunk at 2007-06-15 19:13 PDT.

-> FIXED

Note You need to log in before you can comment on or make changes to this bug.